| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
ProtocolPreferencesMenu Class Reference

A menu for displaying and modifying protocol-specific preferences. More...

`#include <protocol_preferences_menu.h>`

Inheritance diagram for ProtocolPreferencesMenu:

## Signals
void | showProtocolPreferences (const QString module_name)
| Signal emitted to show preferences for a specific protocol.
void | editProtocolPreference (pref_t *pref, module_t *module)
| Signal emitted to edit a specific protocol preference.

## Public Member Functions
| ProtocolPreferencesMenu (QWidget *parent=nullptr)
| Constructs a new ProtocolPreferencesMenu object.
| ProtocolPreferencesMenu (const QString &title, const QString &module_name, QWidget *parent=nullptr)
| Constructs a new ProtocolPreferencesMenu object with a title and module name.
void | setModule (const QString module_name)
| Sets the protocol module for this menu.
void | addMenuItem (pref_t *pref)
| Adds a menu item for a specific preference.

## Detailed Description

A menu for displaying and modifying protocol-specific preferences.

## Constructor & Destructor Documentation

## ◆ ProtocolPreferencesMenu() [1/2]

ProtocolPreferencesMenu::ProtocolPreferencesMenu | ( | QWidget * | parent = nullptr | ) |

Constructs a new ProtocolPreferencesMenu object.

Parameters

  parent | The parent widget.

## ◆ ProtocolPreferencesMenu() [2/2]

ProtocolPreferencesMenu::ProtocolPreferencesMenu | ( | const QString & | title,
|  | const QString & | module_name,
|  | QWidget * | parent = nullptr )

Constructs a new ProtocolPreferencesMenu object with a title and module name.

Parameters

  title | The title of the menu.
  module_name | The name of the protocol module.
  parent | The parent widget.

## Member Function Documentation

## ◆ addMenuItem()

void ProtocolPreferencesMenu::addMenuItem | ( | pref_t * | pref | ) |

Adds a menu item for a specific preference.

Parameters

  pref | Pointer to the preference to add.

## ◆ editProtocolPreference

void ProtocolPreferencesMenu::editProtocolPreference | ( | pref_t * | pref,
|  | module_t * | module )
| signal

Signal emitted to edit a specific protocol preference.

Parameters

  pref | Pointer to the preference to edit.
  module | Pointer to the related protocol module.

## ◆ setModule()

void ProtocolPreferencesMenu::setModule | ( | const QString | module_name | ) |

Sets the protocol module for this menu.

Parameters

  module_name | The name of the protocol module.

## ◆ showProtocolPreferences

void ProtocolPreferencesMenu::showProtocolPreferences | ( | const QString | module_name | ) |
| signal

Signal emitted to show preferences for a specific protocol.

Parameters

  module_name | The name of the protocol module.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/protocol_preferences_menu.h
- /builds/wireshark/wireshark/ui/qt/protocol_preferences_menu.cpp